websocket-sharp System.Object Provides access to the HTTP request and response objects used by the class. The HttpListenerContext class cannot be inherited.
- Method
  WebSocketSharp.Net.WebSockets.HttpListenerWebSocketContext Accepts a WebSocket connection by the . A that contains a WebSocket connection. To be added.
- Property
  WebSocketSharp.Net.HttpListenerRequest Gets the that contains the HTTP request from a client. A that contains the HTTP request objects. To be added.
- Property
  WebSocketSharp.Net.HttpListenerResponse Gets the that contains the HTTP response to send to the client in response to the client's request. A that contains the HTTP response objects. To be added.
- Property
  System.Security.Principal.IPrincipal Gets the client information (identity, authentication information and security roles). A contains the client information. To be added.